# Only a static library is provided, so no debug information can be extracted.
%define debug_package	%{nil}
%define libname_orig	lib%{name}

%define major		0
%define libname		%mklibname %{name} %{major}
%define libnamedev	%mklibname %{name} -d

Summary:	Libraries that can be used to build foreign function call interfaces
Name:		ffcall
Version:	1.13
Release:	%mkrel 1
License:	GPLv2+
Group:		Development/C
URL:		ftp://ftp.santafe.edu/pub/gnu/
Source:		https://ftp.gnu.org/gnu/libffcall/%{libname_orig}-%{version}.tar.gz

%package -n %{libnamedev}
Summary:	Libraries that can be used to build foreign function call interfaces
Group:		Development/Other
Provides:	%{libname_orig}-devel
Provides:	%{name}-devel
Obsoletes:	%mklibname %{name} 0 -d
Obsoletes:	%{mklibname %{name} 0} < 1.10-13

%description
This is a collection of four libraries which can be used to build
foreign function call interfaces in embedded interpreters.

The four packages are:

    avcall - calling C functions with variable arguments

    vacall - C functions accepting variable argument prototypes

    trampoline - closures as first-class C functions

    callback - closures with variable arguments as first-class C functions
    (a reentrant combination of vacall and trampoline)

This version B includes some minor configuration changes so that files
are installed in the proper place. Also it compiles on cygwin and mingw32.

%description -n %{libnamedev}
This is a collection of four libraries which can be used to build
foreign function call interfaces in embedded interpreters.

The four packages are:

    avcall - calling C functions with variable arguments

    vacall - C functions accepting variable argument prototypes

    trampoline - closures as first-class C functions

    callback - closures with variable arguments as first-class C functions
               (a reentrant combination of vacall and trampoline)

This version B includes some minor configuration changes so that files
are installed in the proper place. Also it compiles on cygwin and mingw32.

%prep
%setup -q -n %{libname_orig}-%{version}
%autopatch -p1

%build
export CFLAGS="%{optflags} -fPIC"
%configure2_5x
# parallel make still fails as of 1.13
make

%install
%make_install

mkdir -p %{buildroot}%{_defaultdocdir}/%{libnamedev}
mv %{buildroot}/usr/share/html %{buildroot}%{_defaultdocdir}/%{libnamedev}/html

%files -n %{libnamedev}
%doc NEWS README PLATFORMS
%{_defaultdocdir}/%{libnamedev}/html/
%{_includedir}/*.h
%{_libdir}/*.a
%{_libdir}/*.la
%{_mandir}/man3/*.3*


%changelog
* Fri Jun 30 2017 akien <akien> 1.13-1.mga6
+ Revision: 1108774
- Version 1.13 (mga#21140)

* Wed Mar 16 2016 daviddavid <daviddavid> 1.12-3.mga6
+ Revision: 991705
- rediff unappliable make-jN patch (since fixed autopatch)

* Thu Feb 11 2016 pterjan <pterjan> 1.12-2.mga6
+ Revision: 955969
- Drop broken requires

* Thu Feb 11 2016 pterjan <pterjan> 1.12-1.mga6
+ Revision: 955920
- Update to 1.12
- Drop non static lib, not sure where it came from

* Sun Oct 18 2015 daviddavid <daviddavid> 1.10-13.mga6
+ Revision: 892492
- add more docs to fix build with latest rpm

  + neoclust <neoclust>
    - Fix build with new rpm ( empty debuginfo)

* Wed Oct 15 2014 umeabot <umeabot> 1.10-12.mga5
+ Revision: 739937
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.10-11.mga5
+ Revision: 679164
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.10-10.mga4
+ Revision: 504440
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.10-9.mga3
+ Revision: 350256
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Feb 25 2011 dmorgan <dmorgan> 1.10-8.mga1
+ Revision: 59898
- Remove mdv macros
- imported package ffcall

